Summary: Minimal voice mail system for use with mgetty+sendfax voice
Copyright: Noncommercial use allowed
Name: mvm
Version: 1.2
Release: 1
Group: Networking/Utilities
URL: ftp://ftp.imp.ch/alphanet/files/mvm/
Source: mvm-1.2.tar.gz
Patch: mvm-1.2.patch
Requires: mgetty-voice, rsynth >= 2.0
BuildRoot: /var/tmp/mvm-1.2-root

%description
This is a shell script and some utilities (also shell scripts) developed
under Linux and RISCos in order to run a rather simple but scalable
voicemail system.  Uses mgetty+sendfax+voice to answer the phone and
rsynth to create the default outgoing messages.

You may want to record your own messages on top of the rsynth ones since
the latter can be difficult to understand over the phone.  Documentation
is in French and Bourne shell. :)  See INSTALL-RPM for steps to integrate
with mgetty-voice.

(Note: /usr/bin/randomize appears to be compatible with the one in the
tracker package.)

%prep
%setup
%patch

%install
MVM_INSTALL_DIR=$RPM_BUILD_ROOT/usr/lib/mvm
SPOOL_DIR=$RPM_BUILD_ROOT/var/spool
BIN_DIR=$RPM_BUILD_ROOT/usr/bin
LOG_DIR=$RPM_BUILD_ROOT/var/log
rm -rf $RPM_BUILD_ROOT
mkdir -p $MVM_INSTALL_DIR
mkdir -p $SPOOL_DIR
mkdir -p $BIN_DIR
mkdir -p $LOG_DIR

# get rid of .orig files created by patch before installing the directories
find adds_on -name \*.orig -exec rm {} \;
install voice_script.sh $MVM_INSTALL_DIR
mkdir $MVM_INSTALL_DIR/add_ons
cp -a adds_on/mail_to_voice $MVM_INSTALL_DIR/add_ons
cp -a adds_on/scripts $MVM_INSTALL_DIR/add_ons
cp -a adds_on/french_numbers $MVM_INSTALL_DIR/add_ons
install adds_on/randomize/randomize $BIN_DIR
cp -a voice $SPOOL_DIR
rm -f $SPOOL_DIR/voice/.flag
cp -p MESSAGES $SPOOL_DIR/voice/messages/
cp -p generate_messages.sh $SPOOL_DIR/voice/messages/generate.sh
cp -p menu_items_types $SPOOL_DIR/voice
chmod 0700 $SPOOL_DIR/voice/mailboxes
chmod 0700 $SPOOL_DIR/voice/main
chmod 0700 $SPOOL_DIR/voice/messages
:> $LOG_DIR/mvm_commands
chmod 0600 $LOG_DIR/mvm_commands
:> $LOG_DIR/mvm-errorlog
chmod 0600 $LOG_DIR/mvm-errorlog

%pre
# mgetty-voice creates an incoming directory, but mvm wants it to be a link
if [ -d /var/spool/voice/incoming ] ; then
	echo Attempting to remove /var/spool/voice/incoming
	if rmdir /var/spool/voice/incoming ; then
		echo Done. It will be replaced with a symbolic link to the master mailbox.
	else
		echo Error: cannot remove /var/spool/voice/incoming
		echo Try renaming it and installing this package again.
	fi
fi

%postun
echo Recreating /var/spool/voice/incoming so vgetty is happy.
mkdir /var/spool/voice/incoming

%files
# randomize is the only architecture-dependent file in this package
/usr/bin/randomize
/usr/lib/mvm/voice_script.sh
/usr/lib/mvm/add_ons
%dir /var/spool/voice/mailboxes
%dir /var/spool/voice/mailboxes/0
%dir /var/spool/voice/main
%dir /var/spool/voice/messages
%dir /var/spool/voice/areas
%config /var/spool/voice/mailboxes/0/.name
%config /var/spool/voice/mailboxes/0/.password
%config /var/spool/voice/mailboxes/0/.personalinfo
/var/spool/voice/incoming
/var/spool/voice/menu_items_types
%config /var/spool/voice/main/commands
/var/spool/voice/main/welcome
/var/spool/voice/messages/MESSAGES
/var/spool/voice/messages/generate.sh
%config /var/log/mvm-errorlog
%config /var/log/mvm_commands
%doc CHANGES
%doc INSTALL-RPM
%doc README
%doc SECURITY_README
%doc SPEC
%doc TODO
%doc infos/menu_editor_help
%doc infos/pub.francais
